[20.10 FEAT] Support for FC Security Error indications

Bug #1830733 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Frank Heimes
linux (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

Handle EDiF related FCP errors (FSF_SECURITY_ERRORS) and generate error log messages detailing the cause for related failures.

Buisiness value:
The encryption of storage traffic on Fibre Channel links provides improved security against certain kinds of attacks. Some customers require this feature to comply with regulations. This item ensures that the encryption of Fibre Channel links can be verified and audited inside Linux.

[
Target kernel 5.3
Assumption:
merge window closes on Sunday, 2019-07-28 and release on Sunday, 2019-09-15
]
updated to target: 5.5

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-177426 severity-high targetmilestone-inin1910
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

The target (as of today) for 19.10 is to have kernel 5.2.
With that it's unlikely that we include kernel 5.3,
but maybe selected patches can be cherry-picked.

Please share the selected commit IDs (or backports) once available,
so that we can verify if they can be included into the target-kernel.

Changing to Incomplete - for now.

Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → High
assignee: nobody → Frank Heimes (frank-heimes)
summary: - [19.10 FEAT] Support for FC Security Error indications
+ [20.04 FEAT] Support for FC Security Error indications
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2019-07-12 09:36 EDT-------
Moved to 20.04, will not make it in time for 19.10

tags: added: targetmilestone-inin2004
removed: targetmilestone-inin1910
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2019-11-22 08:06 EDT-------
Planned Target : kernel 5.5

Frank Heimes (fheimes)
description: updated
summary: - [20.04 FEAT] Support for FC Security Error indications
+ [20.10 FEAT] Support for FC Security Error indications
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-02-03 10:38 EDT-------
Feature will not make it in time for Ubuntu 20.04 -> moved to 20.10

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 05:26 EDT-------
Feature is fully integrated within kernel 5.7

Revision history for this message
Frank Heimes (fheimes) wrote :

Kernel 5.8 just migrated from groovy proposed to main,
hence updating the status here to Fix Released.

Changed in linux (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Incomplete → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 06:49 EDT-------
IBM Bugzilla status->closed, Fix Released with groovy

Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers